Bug 891890

Summary: non-free contents included
Product: [Fedora] Fedora Reporter: mejiko <kame55-itasenpara123>
Component: supertuxkartAssignee: Jon Ciesla <limburgher>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: limburgher, tcallawa
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-07 11:12:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 182235    

Description mejiko 2013-01-04 06:24:40 EST
Hello.

supertuxkart is included non-free data.


Source RPM is "supertuxkart-0.7-4.fc17.src.rpm".


non-free Files and Licenses:


Files:

supertuxkart-0.7/data/gui/skins/ocean/*
supertuxkart-0.7/data/gui/skins/peach/*

License is "CC-BY-NC-SA 3.0 unported". Its non-free.

See: supertuxkart-0.7/data/gui/skins/ocean/License.txt and supertuxkart-0.7/data/gui/skins/peach/License.txt.

Note: Fixed Upstream SVN version.

Source URI:

http://supertuxkart.svn.sourceforge.net/viewvc/supertuxkart/main/trunk/data/gui/skins/ocean/License.txt?view=log

http://supertuxkart.svn.sourceforge.net/viewvc/supertuxkart/main/trunk/data/gui/skins/peach/License.txt?view=log


Files: 

supertuxkart-0.7/data/music/kart_grand_prix.ogg

License is "CC". 

Question: Which is CC license type and license version ?

If "CC" is "CC-BY-SA" or "CC-BY", Its OK. (no problem)
If "CC" is "CC-BY-NC" or "CC-BY-NC-SA" or "CC-BY-ND" or "CC-BY-NC-ND", Its not OK.(License problem)

See: supertuxkart-0.7/data/music/License.txt.


Files:

supertuxkart-0.7/data/sfx/bowling_roll.ogg
supertuxkart-0.7/data/sfx/engine_small.ogg
supertuxkart-0.7/data/sfx/parachute.ogg
supertuxkart-0.7/data/sfx/gp_end.ogg
supertuxkart-0.7/data/sfx/shoot.ogg

License is CC-Sampling Plus 1.0. Its non-free.
But later version (supertuxkart-0.7.3-1.fc18.src.rpm, Fedora 18) is fixed.

License URI: https://creativecommons.org/licenses/sampling+/1.0/


Files:

supertuxkart-0.7/data/sfx/goo.ogg
supertuxkart-0.7/data/sfx/strike.ogg

License is Soundsnap License. Its non-free (non-commercial use only).
But later version (supertuxkart-0.7.3-1.fc18.src.rpm, Fedora 18) is fixed.

license URI:http://www.soundsnap.com/licence


Files: 

supertuxkart-0.7/data/tracks/scotland/Factory4b.png 

License is "license unclear". Its non-free.
But later version (supertuxkart-0.7.3-1.fc18.src.rpm, Fedora 18) is fixed.

See: supertuxkart-0.7/data/tracks/scotland/License.txt



Suggests:

1. Upgrade to 0.7.3-1 or later (e.g: 0.8) version.

2. Replace to fedora-free file.

3. Remove Fedora repos.


Thanks.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#CodeVsContent

http://supertuxkart.sourceforge.net/Licensing
Comment 1 mejiko 2013-01-04 06:25:28 EST
Blocking FE-Legal, This isa license problem.
Comment 2 Tom "spot" Callaway 2013-01-04 09:54:28 EST
So, the only issue that needs to be resolved is that of the licensing on
data/music/kart_grand_prix.ogg. I agree that CC is ambiguously unclear here. Jon, can you try to get upstream to identify which CC license is in use?

For all the rest of the issues, the fact that the licensing has been changed in later releases (but the files themselves have not) means that we can consider the earlier versions to be under the new licenses. Additionally, we do not require that all Fedora releases be updated to reflect licensing changes (except in extraordinary circumstances), as long as Rawhide (and unreleased Fedora branches) get the changes.

I'll leave this open for data/music/kart_grand_prix.ogg.
Comment 3 Jon Ciesla 2013-01-23 14:52:14 EST
Will do, posted to forum, will post back here when I have an answer.
Comment 4 Jon Ciesla 2013-02-01 09:42:19 EST
http://forum.freegamedev.net/viewtopic.php?f=17&t=4082

It's CC-BY-SA 3.0, and updated in svn trunk.  Should I note this in the spec, in an included file for %doc, or both?
Comment 5 Tom "spot" Callaway 2013-02-01 19:48:53 EST
Both, please, in rawhide. Then close this out. No need to push an update for this, but if you push an update for other reasons, incorporate this licensing fix.
Comment 6 Jon Ciesla 2013-02-04 12:16:01 EST
Done.  Oh, and BTW, don't forget to make changelog entries. ;)
Comment 7 mejiko 2013-05-04 05:06:19 EDT
Re-open this bug.

(In reply to comment #2)
> For all the rest of the issues, the fact that the licensing has been changed
> in later releases (but the files themselves have not) means that we can
> consider the earlier versions to be under the new licenses. 

Why is that ? I do not think.

I think that later version is new license apply but earlier version is old license apply. (If not reflect new license).

New license is CC-BY-SA (Its free, acceptable), but old license is CC-BY-NC-SA (non-free, not acceptable).

Which is license apply ? 

Its confusing.

I suggest that reflect new license, or include clearly license statement, or upgrade later version.

Thanks.
Comment 8 mejiko 2013-05-04 05:22:27 EDT
Sorry, non-free "Skins" license problem is not resolved. (Comment 7)  but other non-free license problem and unclear license problem is already resolved.
Comment 9 Tom "spot" Callaway 2013-05-06 13:29:16 EDT
If the file is identical, and upstream simply changes the license, then we can inherit the new license. We should indicate the new license in the package.
Comment 10 Jon Ciesla 2013-05-07 11:12:50 EDT
license clarification file updated, built for rawhide.